Compatibilité de LabVIEW et du moteur d’exécution de LabVIEW

Aperçu

Cette page affiche les versions du moteur d’exécution LabVIEW supportées par les systèmes de développement LabVIEW. Reportez-vous à ces informations afin de vous assurer que vous installez le bon toolkit lors de la mise à niveau ou de la mise à jour de votre système ou logiciel. L’utilisation de versions incompatibles peut entraîner des erreurs et des palettes ou fonctions LabVIEW peuvent manquer.

Notez que cet article remplace l’élément 3P88SPNQ de la base de connaissances : Compatibilité du moteur d’exécution LabVIEW. Certains manuels NI peuvent encore faire référence à ce document. Si vous avez été redirigé à partir de l’URL précédent de la Base de connaissances, veuillez mettre à jour vos favoris.

Compatibilité de LabVIEW et du moteur d’exécution de LabVIEW

Le tableau ci-dessous montre la compatibilité entre les versions de développement de LabVIEW et du moteur d’exécution (RTE) de LabVIEW.
   
Remarque : Les applications LabVIEW doivent être exécutées sur un moteur d’exécution de LabVIEW ayant la même largeur de bits que celui avec lequel elles ont été développées. Le tableau ci-dessous peut être utilisé pour déterminer la compatibilité entre LabVIEW et son RTE pour chaque largeur de bits.

Dans la section Téléchargements au bas de cette page, vous pouvez télécharger une copie de ce tableau, qui peut inclure des versions de logiciel antérieures.

Si vous recherchez une version antérieure non répertoriée dans le tableau ci-dessous ou un téléchargement du tableau de compatibilité, vous trouverez les informations de compatibilité du moteur d’exécution de LabVIEW dans le fichier Readme de votre version.

Version de LabVIEW 

Version du moteur d’exécution LabVIEW
2021 2020 SP1 2020 2019 SP1 2019 2018 SP1 2018 2017 SP1 2017 2016
2021                  
2020 SP1                
2020                
2019 SP1                
2019                
2018 SP1                
2018                
2017 SP1                
2017                
2016                  

Compatible

Compatible si l’application est conçue pour supporter les moteurs d’exécution ultérieurs*

*À partir de 2017, vous pouvez intégrer la compatibilité avec les moteurs d’exécution LabVIEW ultérieurs dans vos applications. Par défaut, LabVIEW construit des applications pour utiliser le dernier moteur d’exécution compatible disponible sur le système. Les moteurs d’exécution de LabVIEW conservent les mêmes interfaces, mais pas les mêmes comportements que les versions compatibles antérieures. Les applications pour lesquelles l’option Autoriser les futures versions du moteur d’exécution de LabVIEW à exécuter cette application est sélectionnée peuvent subir des changements de comportement lorsqu’un moteur d’exécution plus récent est disponible. Si vous préférez conserver le comportement actuel de votre application plutôt que de corriger les bugs et d’améliorer les performances, désélectionnez Autoriser les futures versions du moteur d’exécution de LabVIEW à exécuter cette application.

Le moteur d’exécution LabVIEW doit être installé sur tout système sur lequel vous comptez exécuter des applications EXE ou des bibliothèques partagées construites avec LabVIEW Application Builder.

Veuillez noter que les fichiers EXE construits dans LabVIEW 2016 ou des versions antérieures ne peuvent pas être exécutés dans une version plus récente du moteur d’exécution LabVIEW. Utilisez la même version du moteur d’exécution LabVIEW pour exécuter le fichier EXE que la version de LabVIEW que vous avez utilisée pour le générer.

Plusieurs versions du moteur d’exécution LabVIEW peuvent être installées sur le même ordinateur à condition que le numéro de version majeure ou que la largeur de bits diffère. Sur un système 64 bits, il est possible d’installer les formats 32 bits et 64 bits du moteur d’exécution LabVIEW de la même version, côte à côte. Si vous installez une version SP1 du moteur d’exécution LabVIEW sur un système sur lequel la version non-SP1 est déjà installée, la version SP1 remplacera la version non-SP1.


Plug-in de navigateur Web du moteur d’exécution LabVIEW

Le plug-in de navigateur Web du moteur d’exécution LabVIEW (anciennement le moteur d’exécution LabVIEW Minimum) est un plus petit téléchargement destiné à la visualisation de VIs intégrés dans une page web (interfaces distantes). Il ne contient pas le moteur d’exécution complet et n’est pas recommandé pour l’exécution des exécutables. Il est disponible aux formats 32 bits et 64 bits. La largeur de bits du Plug-in pour navigateur Web doit correspondre à celle du navigateur Web utilisé. Le moteur d’exécution LabVIEW standard comprend le plug-in de navigateur Web.